Bug 732859 - Power_Management_Guide/ASPM.htm documentation incorrect
Summary: Power_Management_Guide/ASPM.htm documentation incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Power_Management_Guide
Version: 6.1
Hardware: All
OS: All
medium
high
Target Milestone: rc
: 6.2
Assignee: Jack Reed
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 23:47 UTC by universe6
Modified: 2013-06-17 05:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-22 00:15:45 UTC


Attachments (Terms of Use)

Description universe6 2011-08-23 23:47:24 UTC
Documentation at http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Power_Management_Guide/ASPM.html states

"ASPM policies are set in /sys/module/pcie_aspm/parameters/policy, but can also be specified at boot time with the pcie_aspm kernel parameter, where pcie_aspm=off disables ASPM and pcie_aspm=force enables ASPM, even on devices that do not support ASPM."


This is not correct. It should be something like

pcie_aspm.policy=performance

and so on

Comment 3 Jack Reed 2011-10-04 23:31:05 UTC
Due to a lack of high priority issues identified during the development phase, we did not allocate resources to release a new version of the Power Management Guide for 6.2. 

To fix this in time for the 6.2 release, we would need an exception from the PM, please.

Otherwise, we'll be sure to fix it for 6.3.

Comment 4 Jack Reed 2011-12-12 01:30:19 UTC
Thanks for reporting this. 

Although the pcie_aspm=performance command isn't in the ASPM section, I've changed the other instances of pcie_aspm= to pcie_aspm.policy=

This change will be available in the 6.3 version of the guide.

Comment 7 Jack Reed 2011-12-13 23:23:45 UTC
Jaroslav, are you able to confirm that the change of command format from pcie_aspm= to pcie_aspm.policy= is correct? Thanks.

Comment 8 Jaroslav Škarvada 2011-12-15 10:41:30 UTC
Hi Jack, the new version of the text is also not correct. I propose something like (feel free to reword):

"ASPM support can be enabled / disabled by pci_aspm kernel parameter, where pcie_aspm=off disables ASPM and pcie_aspm=force enables ASPM, even on devices that do not support ASPM. ASPM policies are set in /sys/module/pcie_aspm/parameters/policy, but can be also specified at boot time with the pcie_aspm.policy kernel parameter, where for example pcie_aspm.policy=performance will set the ASPM performance policy."

Comment 9 Jack Reed 2011-12-16 01:15:54 UTC
Thanks Jaroslav, that's terrific.

I've incorporated this into the ASPM section.

QE, this is ready for verification.

Comment 15 Dayle Parker 2012-06-22 00:15:45 UTC
This bug is now fixed and available as part of the Red Hat Enterprise Linux 6.3 release on http://docs.redhat.com/.

Setting to CLOSED > CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.